-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

===========================================================================
             AUSCERT External Security Bulletin Redistribution

                               ESB-2021.1103
                        Security update for tomcat
                               31 March 2021

===========================================================================

        AusCERT Security Bulletin Summary
        ---------------------------------

Product:           tomcat
Publisher:         SUSE
Operating System:  SUSE
Impact/Access:     Access Confidential Data -- Remote/Unauthenticated
Resolution:        Patch/Upgrade
CVE Names:         CVE-2021-25329 CVE-2021-25122 CVE-2021-24122

Original Bulletin: 
   https://www.suse.com/support/update/announcement/2021/suse-su-20210989-1
   https://www.suse.com/support/update/announcement/2021/suse-su-20210988-1

Comment: This bulletin contains two (2) SUSE security advisories.

- --------------------------BEGIN INCLUDED TEXT--------------------

SUSE Security Update: Security update for tomcat

______________________________________________________________________________

Announcement ID:   SUSE-SU-2021:0989-1
Rating:            important
References:        #1180947 #1182909 #1182912
Cross-References:  CVE-2021-24122 CVE-2021-25122 CVE-2021-25329
Affected Products:
                   SUSE Linux Enterprise Server for SAP 15
                   SUSE Linux Enterprise Server 15-LTSS
                   SUSE Linux Enterprise High Performance Computing 15-LTSS
                   SUSE Linux Enterprise High Performance Computing 15-ESPOS
______________________________________________________________________________

An update that fixes three vulnerabilities is now available.

Description:

This update for tomcat fixes the following issues:

  o Fixed CVEs: * CVE-2021-25122: Apache Tomcat h2c request mix-up (bsc#
    1182912) * CVE-2021-25329: Complete fix for CVE-2020-9484 (bsc#1182909)
  o Log if file access is blocked due to symlinks: CVE-2021-24122 (bsc#1180947)

Patch Instructions:

To install this SUSE Security Update use the SUSE recommended installation
methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  o SUSE Linux Enterprise Server for SAP 15:
    zypper in -t patch SUSE-SLE-Product-SLES_SAP-15-2021-989=1
  o SUSE Linux Enterprise Server 15-LTSS:
    zypper in -t patch SUSE-SLE-Product-SLES-15-2021-989=1
  o SUSE Linux Enterprise High Performance Computing 15-LTSS:
    zypper in -t patch SUSE-SLE-Product-HPC-15-2021-989=1
  o SUSE Linux Enterprise High Performance Computing 15-ESPOS:
    zypper in -t patch SUSE-SLE-Product-HPC-15-2021-989=1

Package List:

  o SUSE Linux Enterprise Server for SAP 15 (noarch):
       tomcat-9.0.36-3.79.1
       tomcat-admin-webapps-9.0.36-3.79.1
       tomcat-el-3_0-api-9.0.36-3.79.1
       tomcat-jsp-2_3-api-9.0.36-3.79.1
       tomcat-lib-9.0.36-3.79.1
       tomcat-servlet-4_0-api-9.0.36-3.79.1
       tomcat-webapps-9.0.36-3.79.1
  o SUSE Linux Enterprise Server 15-LTSS (noarch):
       tomcat-9.0.36-3.79.1
       tomcat-admin-webapps-9.0.36-3.79.1
       tomcat-el-3_0-api-9.0.36-3.79.1
       tomcat-jsp-2_3-api-9.0.36-3.79.1
       tomcat-lib-9.0.36-3.79.1
       tomcat-servlet-4_0-api-9.0.36-3.79.1
       tomcat-webapps-9.0.36-3.79.1
  o SUSE Linux Enterprise High Performance Computing 15-LTSS (noarch):
       tomcat-9.0.36-3.79.1
       tomcat-admin-webapps-9.0.36-3.79.1
       tomcat-el-3_0-api-9.0.36-3.79.1
       tomcat-jsp-2_3-api-9.0.36-3.79.1
       tomcat-lib-9.0.36-3.79.1
       tomcat-servlet-4_0-api-9.0.36-3.79.1
       tomcat-webapps-9.0.36-3.79.1
  o SUSE Linux Enterprise High Performance Computing 15-ESPOS (noarch):
       tomcat-9.0.36-3.79.1
       tomcat-admin-webapps-9.0.36-3.79.1
       tomcat-el-3_0-api-9.0.36-3.79.1
       tomcat-jsp-2_3-api-9.0.36-3.79.1
       tomcat-lib-9.0.36-3.79.1
       tomcat-servlet-4_0-api-9.0.36-3.79.1
       tomcat-webapps-9.0.36-3.79.1


References:

  o https://www.suse.com/security/cve/CVE-2021-24122.html
  o https://www.suse.com/security/cve/CVE-2021-25122.html
  o https://www.suse.com/security/cve/CVE-2021-25329.html
  o https://bugzilla.suse.com/1180947
  o https://bugzilla.suse.com/1182909
  o https://bugzilla.suse.com/1182912


- --------------------------------------------------------------------------------


SUSE Security Update: Security update for tomcat

______________________________________________________________________________

Announcement ID:   SUSE-SU-2021:0988-1
Rating:            important
References:        #1182909 #1182912
Cross-References:  CVE-2021-25122 CVE-2021-25329
Affected Products:
                   SUSE OpenStack Cloud Crowbar 9
                   SUSE OpenStack Cloud 9
                   SUSE Linux Enterprise Server for SAP 12-SP4
                   SUSE Linux Enterprise Server 12-SP5
                   SUSE Linux Enterprise Server 12-SP4-LTSS
______________________________________________________________________________

An update that fixes two vulnerabilities is now available.

Description:

This update for tomcat fixes the following issues:

  o CVE-2021-25122: Apache Tomcat h2c request mix-up (bsc#1182912)
  o CVE-2021-25329: Complete fix for CVE-2020-9484 (bsc#1182909)

Patch Instructions:

To install this SUSE Security Update use the SUSE recommended installation
methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  o SUSE OpenStack Cloud Crowbar 9:
    zypper in -t patch SUSE-OpenStack-Cloud-Crowbar-9-2021-988=1
  o SUSE OpenStack Cloud 9:
    zypper in -t patch SUSE-OpenStack-Cloud-9-2021-988=1
  o SUSE Linux Enterprise Server for SAP 12-SP4:
    zypper in -t patch SUSE-SLE-SAP-12-SP4-2021-988=1
  o SUSE Linux Enterprise Server 12-SP5:
    zypper in -t patch SUSE-SLE-SERVER-12-SP5-2021-988=1
  o SUSE Linux Enterprise Server 12-SP4-LTSS:
    zypper in -t patch SUSE-SLE-SERVER-12-SP4-LTSS-2021-988=1

Package List:

  o SUSE OpenStack Cloud Crowbar 9 (noarch):
       tomcat-9.0.36-3.64.1
       tomcat-admin-webapps-9.0.36-3.64.1
       tomcat-docs-webapp-9.0.36-3.64.1
       tomcat-el-3_0-api-9.0.36-3.64.1
       tomcat-javadoc-9.0.36-3.64.1
       tomcat-jsp-2_3-api-9.0.36-3.64.1
       tomcat-lib-9.0.36-3.64.1
       tomcat-servlet-4_0-api-9.0.36-3.64.1
       tomcat-webapps-9.0.36-3.64.1
  o SUSE OpenStack Cloud 9 (noarch):
       tomcat-9.0.36-3.64.1
       tomcat-admin-webapps-9.0.36-3.64.1
       tomcat-docs-webapp-9.0.36-3.64.1
       tomcat-el-3_0-api-9.0.36-3.64.1
       tomcat-javadoc-9.0.36-3.64.1
       tomcat-jsp-2_3-api-9.0.36-3.64.1
       tomcat-lib-9.0.36-3.64.1
       tomcat-servlet-4_0-api-9.0.36-3.64.1
       tomcat-webapps-9.0.36-3.64.1
  o SUSE Linux Enterprise Server for SAP 12-SP4 (noarch):
       tomcat-9.0.36-3.64.1
       tomcat-admin-webapps-9.0.36-3.64.1
       tomcat-docs-webapp-9.0.36-3.64.1
       tomcat-el-3_0-api-9.0.36-3.64.1
       tomcat-javadoc-9.0.36-3.64.1
       tomcat-jsp-2_3-api-9.0.36-3.64.1
       tomcat-lib-9.0.36-3.64.1
       tomcat-servlet-4_0-api-9.0.36-3.64.1
       tomcat-webapps-9.0.36-3.64.1
  o SUSE Linux Enterprise Server 12-SP5 (noarch):
       tomcat-9.0.36-3.64.1
       tomcat-admin-webapps-9.0.36-3.64.1
       tomcat-docs-webapp-9.0.36-3.64.1
       tomcat-el-3_0-api-9.0.36-3.64.1
       tomcat-javadoc-9.0.36-3.64.1
       tomcat-jsp-2_3-api-9.0.36-3.64.1
       tomcat-lib-9.0.36-3.64.1
       tomcat-servlet-4_0-api-9.0.36-3.64.1
       tomcat-webapps-9.0.36-3.64.1
  o SUSE Linux Enterprise Server 12-SP4-LTSS (noarch):
       tomcat-9.0.36-3.64.1
       tomcat-admin-webapps-9.0.36-3.64.1
       tomcat-docs-webapp-9.0.36-3.64.1
       tomcat-el-3_0-api-9.0.36-3.64.1
       tomcat-javadoc-9.0.36-3.64.1
       tomcat-jsp-2_3-api-9.0.36-3.64.1
       tomcat-lib-9.0.36-3.64.1
       tomcat-servlet-4_0-api-9.0.36-3.64.1
       tomcat-webapps-9.0.36-3.64.1


References:

  o https://www.suse.com/security/cve/CVE-2021-25122.html
  o https://www.suse.com/security/cve/CVE-2021-25329.html
  o https://bugzilla.suse.com/1182909
  o https://bugzilla.suse.com/1182912

- --------------------------END INCLUDED TEXT--------------------

You have received this e-mail bulletin as a result of your organisation's
registration with AusCERT. The mailing list you are subscribed to is
maintained within your organisation, so if you do not wish to continue
receiving these bulletins you should contact your local IT manager. If
you do not know who that is, please send an email to auscert@auscert.org.au
and we will forward your request to the appropriate person.

NOTE: Third Party Rights
This security bulletin is provided as a service to AusCERT's members.  As
AusCERT did not write the document quoted above, AusCERT has had no control
over its content. The decision to follow or act on information or advice
contained in this security bulletin is the responsibility of each user or
organisation, and should be considered in accordance with your organisation's
site policies and procedures. AusCERT takes no responsibility for consequences
which may arise from following or acting on information or advice contained in
this security bulletin.

NOTE: This is only the original release of the security bulletin.  It may
not be updated when updates to the original are made.  If downloading at
a later date, it is recommended that the bulletin is retrieved directly
from the author's website to ensure that the information is still current.

Contact information for the authors of the original document is included
in the Security Bulletin above.  If you have any questions or need further
information, please contact them directly.

Previous advisories and external security bulletins can be retrieved from:

        https://www.auscert.org.au/bulletins/

===========================================================================
Australian Computer Emergency Response Team
The University of Queensland
Brisbane
Qld 4072

Internet Email: auscert@auscert.org.au
Facsimile:      (07) 3365 7031
Telephone:      (07) 3365 4417 (International: +61 7 3365 4417)
                AusCERT personnel answer during Queensland business hours
                which are GMT+10:00 (AEST).
                On call after hours for member emergencies only.
===========================================================================
-----BEGIN PGP SIGNATURE-----
Comment: http://www.auscert.org.au/render.html?it=1967

iQIVAwUBYGPtmeNLKJtyKPYoAQg4aQ//eknlQ0st6jrOzYiKNRaY/upSI61f3ai7
XlapJstudI49ezSfwrUv5LeilUbkhY8TukuCE00yXghV2r1ow64f5P6DlBou4Y94
BItt4lMVQN4+uq30Na2SHAvcj7vn/XOQtf3vN9h5WDal8M7BAamyUsPi0269O5Pl
moKJhzkQfXvNEm2HNX+ZCynysW1AixtNRNil7ZDNPEV/dlhO2GjwX4LbgJR+cxKn
UKp5q7HDwt/zqgTXQZ2AHwJasJwGG+NVhE2VSG5Ahc+m/YHmZRT7B8xGeEuZjxfu
s0QotMgOtJ2tXZ18jAfbKn7a9xP1OvFYnLJ46OR7HSe4jdQIAb/LeruP8M2bmAZx
RpsPWiu8/F7AsTikPWmP35VsV9Xd9zT6m21xu+O0U0cvYw/RA1EdoWoRQIUH9PJA
vWzuU57YKKrnKT6/BzOiH3RZweqAV6oBQJ1iICkvmSzHsXweT/Z2qVmBS68D8JrZ
wt2o0P+sxtPtVx8tMJfXv05pXHDhLGILY6BeHr46On9xLYb0MO5RdSVVwhLlqYcf
8yhx64xXzaRiCQvU+c+KwQqnF2V16UiiMvGhw8SEkLfz65F1jdO06PLSzCMYAfFb
G8cKJyFThUq5TKcM6ZkZZFI44g500k6CIvPtvJ08vpZ5wlpgYLaNbeQT5GS3hkgC
IZH57H+xGiA=
=7Rvz
-----END PGP SIGNATURE-----